<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: cpp_filrouge_iscj_allemann/include/Object/IObject.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7b4dd9274471389300495e9c763ca813.html">cpp_filrouge_iscj_allemann</a></li><li class="navelem"><a class="el" href="dir_e5b3fe71963387781ba01d2a56ee1874.html">include</a></li><li class="navelem"><a class="el" href="dir_65974ee00191c2d50043a53f63dd7b68.html">Object</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">IObject.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_i_object_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">using namespace </span>std;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span>He_Arc::RPG</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;{</div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">   31</a></span>&#160;    <span class="keyword">class </span><a class="code" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    {</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="keywordtype">string</span> m_name{<span class="stringliteral">&quot;Unnamed object&quot;</span>};</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="comment">//virtual IObject(string name = &quot;Unnamed object&quot;);</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="keyword">virtual</span> ~<a class="code" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">IObject</a>() = <span class="keywordflow">default</span>;</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">   44</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">string</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">GetName</a>() <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">   50</a></span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">GetFeature</a>() <span class="keyword">const</span> = 0;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    };</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;} <span class="comment">// namespace He_Arc::RPG</span></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_i_object_html"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_i_object.html">He_Arc::RPG::IObject</a></div><div class="ttdoc">Interface class, for the different objects who can be posseded by an characteur.</div><div class="ttdef"><b>Definition:</b> IObject.hpp:32</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_i_object_html_a41f873b2cb40ed5b8de45e0039397142"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">He_Arc::RPG::IObject::GetName</a></div><div class="ttdeci">virtual string GetName() const =0</div><div class="ttdoc">Get the name of the object.</div></div>
<div class="ttc" id="aclass_he___arc_1_1_r_p_g_1_1_i_object_html_a4807f6fee53122a75df7580dcc75dd46"><div class="ttname"><a href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">He_Arc::RPG::IObject::GetFeature</a></div><div class="ttdeci">virtual int GetFeature() const =0</div><div class="ttdoc">Get the feature (the characteristic) of the object.</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
